{% set title = TyO.type|raw %}
{%  set fluid = true %}
{% extends 'thesaurus/thesaurusLayout.twig' %}
{% block content %}

{% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}
	<p>
		<a class="btn btn-default" href="{{ url('thesaurus-print') }}?sysma_object_type_id={{ TyO.sysma_object_type_id}}&simple">
			<span class="glyphicon glyphicon-print"></span>
			Version imprimable</a>
	</p>
	<h1>Type d'objet :
		<u>{{ TyO.type|raw }}</u>
		<small>[{{ TyO.sysma_object_type_id }}]</small>
		{% include('thesaurus/thesaurusSysmaObjectTypeModificationButton.twig') %}
		{# {% if app.session.get('is_admin') %}
						                    {% include('thesaurus/thesaurusSysmaObjectTypeDeletionButton.twig') %}
						            {% endif %} #}

	</h1>
	<h3>{{ TyO.countSysmaObjects() }}
		objets de type
		{{ TyO.sysma_object_type }}
		dans la base Sysma</h3>
	<h3>Définition</h3>
	<p>
		{% autoescape %}
			{{ TyO.description|raw }}
		{% endautoescape %}
	</p>
	<div class="row">
		<div class="col-xs-3">

			<h3>Source de la définition</h3>
			<p>
				{% autoescape %}
					{{ TyO.definition_source|raw }}
				{% endautoescape %}
			</p>
			<h3>Source des données (généalogie)</h3>
			<p>
				{% autoescape %}
					{{ TyO.data_source|raw }}
				{% endautoescape %}
			</p>
		</div>
		<div class="col-xs-3">
			<h3>Support de numérisation</h3>
			<p>
				{% autoescape %}
					{{ TyO.digitization_layer|raw }}
				{% endautoescape %}
			</p>
			<h3>Type de géométrie</h3>
			<p>
				{% autoescape %}
					{{ TyO.geometry_type_formatted|raw }}
				{% endautoescape %}
			</p>
		</div>
		<div class="col-xs-3">
			<h3>Groupe</h3>
			<p>
				{% autoescape %}
					{{ TyO.group_alias|raw }}
				{% endautoescape %}
			</p>
			<h3>Style par défaut</h3>


			{% if TyO.geometry_type == 'ST_Linestring' %}
				<svg height="18" width="18">
					{% if TyO.style_decode.secondLine|default(null) == '1' %}
						<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TyO.style_decode.secondLineColor }};stroke-opacity:{{ TyO.style_decode.secondLineOpacity }};stroke-width:{{ TyO.style_decode.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
						<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TyO.style_decode.color }};stroke-opacity:{{ TyO.style_decode.opacity }};stroke-width:{{ TyO.style_decode.weight }};stroke-dasharray:{{ TyO.style_decode.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
					{% else %}
						<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TyO.style_decode.color }};stroke-opacity:{{ TyO.style_decode.opacity }};stroke-width:{{ TyO.style_decode.weight }};stroke-dasharray:{{ TyO.style_decode.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
					{% endif %}
				</svg>

			{% endif %}

			{% if TyO.geometry_type == 'ST_Polygon' %}
				<svg height="16" width="16">
					<rect width="16" height="16" stroke="{{ TyO.style_decode.color }}" stroke-opacity="{{ TyO.style_decode.opacity }}" stroke-width="{{ TyO.style_decode.weight }}" fill="{{ TyO.style_decode.fillColor|default(TyO.style_decode.color) }}" fill-opacity="{{ TyO.style_decode.fillOpacity|default(TyO.style_decode.opacity) }}"/>
				</svg>
			{% endif %}

			{% if TyO.geometry_type == 'ST_Point' %}
				{% if TyO.style_decode.icon is defined and TyO.style_decode.icon == 1 and TyO.style_decode.iconUrl != '' %}

					{% set size = 20 %}
					{% set fillRadius = size /2  * (TyO.style_decode.fillRadius|default(0.05)/10) %}
					{% set backColor =  TyO.style_decode.fillColor|default(TyO.style_decode.color)|hexToRGB %}

					<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ TyO.style_decode.fillOpacity|default(TyO.style_decode.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;">
						<div style="width:{{size}}px;height:{{size}}px;background:{{ TyO.style_decode.color }};-webkit-mask-image:url({{ TyO.style_decode.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ size * 0.8 }}px;-webkit-mask-position: center;mask-image:url({{ TyO.style_decode.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ TyO.style_decode.opacity|default(1) }}"></div>
					</div>
				{% else %}
					<svg height="18" width="20">
						<circle cx="8" cy="10" r="4" stroke="{{ TyO.style_decode.color }}" stroke-opacity="{{ TyO.style_decode.opacity }}" tyo-width="{{ min(TyO.style_decode.weight,5) }}" fill="{{ TyO.style_decode.fillColor|default(TyO.style_decode.color) }}" fill-opacity="{{ TyO.style_decode.fillOpacity|default(TyO.style_decode.opacity) }}"/>
					</svg>
				{% endif %}
			{% endif %}

			{% if TyO.geometry_type == 'no_geom' %}
				<svg height="17" width="15" style="padding-left:1px;padding-top:3px;">
					<rect width="14" height="14" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
					<line x1="0" y1="0" x2="14" y2="14" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
					<line x1="0" y1="14" x2="14" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
				</svg>
			{% endif %}

		</div>
		<div class="col-xs-3">
			<h3>Rechargement lors du déplacement de la carte</h3>
			<p>{{ TyO.load_on_pan == 0 ? 'Non' : 'Oui' }}</p>
			{% if TyO.load_on_pan == 1 %}
				<h3>Zoom minimum / maximum</h3>
				<p>{{ TyO.zoom_min }}
					/{{ TyO.zoom_max }}</p>
			{% endif %}

		</div>
	</div>
	<div class="row">
		<div class='col-md-12'>
			<h3>Paramètres</h3>
			<p>
				{% include('thesaurus/thesaurusSysmaObjectTypeParameterCreationButton.twig') %}
			</p>
			{% for P in TyO.paramArray %}
				<div class="boiteparameter">
					{% include('thesaurus/thesaurusSysmaObjectTypeParameter.twig') %}
				</div>
			{% endfor %}
		</div>
	</div>
	<div class="row">
		<div class="col-md-6">

			<h2 style="clear:both">Types d'actions
				{% include('thesaurus/thesaurusSysmaActionTypeCreationButton.twig') %}
			</h2>

			{% for TT in TyO.sysmaActionTypesArray %}
				{% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, TT.sysma_action_type_id ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null,  TyO.sysma_object_type_id, null, TT.sysma_action_type_id ,null ,null , 'contributeur']|hasAccess %}
					<div class="row">
						<div class="col-xs-1 text-muted">[{{ TT.sysma_action_type_id }}]</div>
						<div class="col-xs-6">
							<a href="{{ url('thesaurus-action-type',{ 'id':TT.sysma_action_type_id, 'ido' : TT.sysma_object_type_id }) }}">
								<big>{{ TT.sysma_action_type|raw }}</big>
							</a>
						</div>
					</div>
				{% endif %}
			{% endfor %}
		</div>
		<div class="col-md-6">
			<h2>Types de relations
				{% include('thesaurus/thesaurusSysmaRelationTypeSysmaObjectTypeCreationButton.twig') %}
			</h2>

			{% for RL in TyO.sysmaRelationTypesArray %}
				<div class="row">
					<div class="col-xs-1 text-muted">[{{ RL.RT.sysma_relation_type_id }}]</div>
					<div class="col-xs-2 text-center">
						<big>{{ RL.Parent.sysma_object_type }}</big>
					</div>
					<div class="col-xs-1">
						<span class='glyphicon glyphicon-chevron-left'></span>
					</div>
					<div class="col-xs-3 text-center">
						<big>
							<a href="{{ url('thesaurus-sysma-relation-type',{ 'id':RL.RT.sysma_relation_type_id }) }}">
								{{ RL.RT.sysma_relation_type|raw }}
							</a>
						</big>
					</div>
					<div class="col-xs-1">
						<span class='glyphicon glyphicon-chevron-right'></span>
					</div>
					<div class="col-xs-2 text-center">
						<big>
							{{ RL.Child.sysma_object_type }}
						</big>
					</div>
					<div class="col-xs-1">
						<a href="{{ url('thesaurus-sysma-object-type-sysma-relation-type-update',{ 'id':RL.infos.sysma_object_type_id_parent, 'idr' : RL.infos.l_sysma_object_type_sysma_relation_type_id }) }}">
							<span class='glyphicon glyphicon-pencil'></span>
						</a>
					</div>
				</div>

			{% endfor %}
		</div>

	</div>
</div>{% endif %}{%  endblock %}
